[BACK]Return to weekly CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / src / etc

File: [cvs.NetBSD.org] / src / etc / weekly (download)

Revision 1.23, Wed Jun 6 13:30:48 2007 UTC (12 years, 5 months ago) by martti
Branch: MAIN
CVS Tags: yamt-pf42-baseX, yamt-pf42-base4, yamt-pf42-base3, yamt-pf42-base2, yamt-pf42-base, yamt-pf42, wrstuden-revivesa-base-3, wrstuden-revivesa-base-2, wrstuden-revivesa-base-1, wrstuden-revivesa-base, wrstuden-revivesa, netbsd-5-base, netbsd-5-2-RELEASE, netbsd-5-2-RC1, netbsd-5-2-3-RELEASE, netbsd-5-2-2-RELEASE, netbsd-5-2-1-RELEASE, netbsd-5-2, netbsd-5-1-RELEASE, netbsd-5-1-RC4, netbsd-5-1-RC3, netbsd-5-1-RC2, netbsd-5-1-RC1, netbsd-5-1-5-RELEASE, netbsd-5-1-4-RELEASE, netbsd-5-1-3-RELEASE, netbsd-5-1-2-RELEASE, netbsd-5-1-1-RELEASE, netbsd-5-1, netbsd-5-0-RELEASE, netbsd-5-0-RC4, netbsd-5-0-RC3, netbsd-5-0-RC2, netbsd-5-0-RC1, netbsd-5-0-2-RELEASE, netbsd-5-0-1-RELEASE, netbsd-5-0, netbsd-5, mjf-devfs2-base2, mjf-devfs2-base, mjf-devfs2, mjf-devfs-base, mjf-devfs, matt-premerge-20091211, matt-nb5-pq3-base, matt-nb5-pq3, matt-nb5-mips64-u2-k2-k4-k7-k8-k9, matt-nb5-mips64-u1-k1-k5, matt-nb5-mips64-premerge-20101231, matt-nb5-mips64-premerge-20091211, matt-nb5-mips64-k15, matt-nb5-mips64, matt-nb4-mips64-k7-u2a-k9b, matt-mips64-base2, matt-mips64-base, matt-mips64, matt-armv6-prevmlocking, matt-armv6-nbase, matt-armv6-base, matt-armv6, keiichi-mipv6-base, keiichi-mipv6, jym-xensuspend-nbase, jym-xensuspend-base, jym-xensuspend, hpcarm-cleanup-nbase, hpcarm-cleanup-base, hpcarm-cleanup, cube-autoconf-base, cube-autoconf
Changes since 1.22: +3 -3 lines

Use "mktemp -d -t xxx" to create the temporary directories. This will use
TMPDIR environment variable if set, otherwise use /tmp.  (misc/35544)

#!/bin/sh -
#
#	$NetBSD: weekly,v 1.23 2007/06/06 13:30:48 martti Exp $
#	from: @(#)weekly	8.2 (Berkeley) 1/2/94
#

export PATH=/bin:/usr/bin:/sbin:/usr/sbin:/usr/libexec
umask 077

if [ -s /etc/weekly.conf ]; then
	. /etc/weekly.conf
fi

host=`hostname`
date=`date`
rcvar_manpage='weekly.conf(5)'

echo "To: ${MAILTO:-root}"
echo "Subject: $host weekly output for $date"
echo ""

if [ -f /etc/rc.subr ]; then
	. /etc/rc.subr
else
	echo "Can't read /etc/rc.subr; aborting."
	exit 1;
fi

WEEKLYDIR=$(mktemp -d -t _weekly) || exit 1

trap "/bin/rm -rf $WEEKLYDIR ; exit 0" EXIT INT QUIT PIPE

if ! cd "$WEEKLYDIR"; then
	echo "Can not cd to $WEEKLYDIR".
	exit 1
fi

TMP=weekly.$$

#echo ""
#echo "Removing old .o files:"
#find /usr/src -name '*.o' -atime +21 -print -a -exec rm -f {} \;

# see if /usr/src exists and is local
# before looking there for checked-out files

#if [ -d /usr/src -a \
#  -n "`find -f /usr/src ! -fstype local -prune -or -type d -print -prune`" ];
#then
#	echo ""
#	echo "Looking for checked out files:"
#
#	TDIR=$(mktemp -d -t _checkout) || exit 1
#	trap "/bin/rm -rf $TDIR ; exit 0" EXIT INT QUIT
#	for file in `find -f /usr/src ! -fstype local -prune -or \
#	    -name 'p.*' -print | egrep 'SCCS/p\.'`; do
#		owner=`awk '{ print $3 }' $file`
#		echo "$owner	$file"
#		echo $file >> "$TDIR/$owner"
#	done | sed -e 's,SCCS/p.,,'
#	if test -n "`ls $TDIR`"; then
#		for file in $TDIR/*; do
#			sed -e 's,SCCS/p.,,' $file | \
#			    Mail -s 'checked out files' ${file##*/}
#		done
#	fi
#fi

if checkyesno rebuild_locatedb; then
	echo ""
	if [ -f /var/db/locate.database ]; then
		echo "Rebuilding locate database:"
		chmod 644 /var/db/locate.database
		chown nobody:nobody /var/db/locate.database
		(cd / && nice -5 su -m nobody -c /usr/libexec/locate.updatedb 2>/dev/null)
		chown root:wheel /var/db/locate.database
	else
		echo "Not rebuilding locate database; no /var/db/locate.database"
	fi
fi

if checkyesno rebuild_whatisdb; then
	echo ""
	if [ -f /etc/man.conf -o -d /usr/share/man ]; then
		echo "Rebuilding whatis databases:"
		nice -n 5 /usr/libexec/makewhatis -f
	else
		echo "Not rebuilding whatis databases"
	fi
fi

if [ -f /etc/weekly.local ]; then
	. /etc/weekly.local > $TMP 2>&1
	if [ -s $TMP ] ; then
		printf "\nRunning /etc/weekly.local:\n"
		cat $TMP
	fi
	rm -f $TMP
fi